Create a job
curl --request POST \
--url https://api.revdesk.com/v1/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"objective": "<string>",
"contact_id": "<string>",
"opportunity_id": "<string>",
"deadline": "<unknown>",
"success_criteria": {
"outcome_kinds": [
"<string>"
]
},
"guardrails": {
"channels": [
"<string>"
],
"max_touches": 123,
"max_touches_since_reply": 123,
"min_hours_between_touches": 123
}
}
'import requests
url = "https://api.revdesk.com/v1/jobs"
payload = {
"type": "<string>",
"objective": "<string>",
"contact_id": "<string>",
"opportunity_id": "<string>",
"deadline": "<unknown>",
"success_criteria": { "outcome_kinds": ["<string>"] },
"guardrails": {
"channels": ["<string>"],
"max_touches": 123,
"max_touches_since_reply": 123,
"min_hours_between_touches": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
objective: '<string>',
contact_id: '<string>',
opportunity_id: '<string>',
deadline: '<unknown>',
success_criteria: {outcome_kinds: ['<string>']},
guardrails: {
channels: ['<string>'],
max_touches: 123,
max_touches_since_reply: 123,
min_hours_between_touches: 123
}
})
};
fetch('https://api.revdesk.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"status": "<string>",
"objective": "<string>",
"contact_id": "<string>",
"opportunity_id": "<string>",
"deadline": "<string>",
"created_at": "<string>",
"closed_at": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Jobs
Create a job
Hand RevDesk an outcome to pursue. The agent plans and executes across channels until the success criteria are met, the deadline passes, or the guardrails stop it. Progress and the terminal outcome arrive on the JOB_* webhooks.
POST
/
v1
/
jobs
Create a job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I